"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MainDropdown = void 0;
const evangelist_elements_icon_1 = require("@teambit/evangelist.elements.icon");
const evangelist_surfaces_tooltip_1 = require("@teambit/evangelist.surfaces.tooltip");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const lodash_1 = require("lodash");
const ui_keycap_1 = require("@teambit/ui.keycap");
const main_dropdown_module_scss_1 = __importDefault(require("./main-dropdown.module.scss"));
function MainDropdown({ menuItems }) {
    if (!menuItems || lodash_1.isEmpty(menuItems))
        return null;
    return (react_1.default.createElement("div", { className: main_dropdown_module_scss_1.default.mainDropdown },
        react_1.default.createElement(evangelist_surfaces_tooltip_1.TooltipDrawer, { className: main_dropdown_module_scss_1.default.dropdown, tooltipClass: main_dropdown_module_scss_1.default.menu, placeholder: "", clickOutside: true, PlaceholderComponent: () => (react_1.default.createElement("div", { className: main_dropdown_module_scss_1.default.iconAnchor },
                react_1.default.createElement("div", { className: main_dropdown_module_scss_1.default.overlay }),
                react_1.default.createElement(evangelist_elements_icon_1.Icon, { className: classnames_1.default(main_dropdown_module_scss_1.default.icon), of: "more" }))) },
            react_1.default.createElement("div", null, Object.keys(menuItems).map((category, index) => {
                return (react_1.default.createElement(MenuBlock, { key: index, title: category }, menuItems[category].map((item) => {
                    return (item && (react_1.default.createElement(Line, { key: item.keyChar, lineTitle: item.title, keyChar: item.keyChar, onClick: item.handler })));
                })));
            })))));
}
exports.MainDropdown = MainDropdown;
function Line(_a) {
    var { lineTitle, keyChar, onClick } = _a, rest = __rest(_a, ["lineTitle", "keyChar", "onClick"]);
    return (react_1.default.createElement("div", Object.assign({}, rest, { className: classnames_1.default(main_dropdown_module_scss_1.default.line), onClick: onClick }),
        react_1.default.createElement("div", null, lineTitle),
        keyChar && (react_1.default.createElement("pre", null,
            react_1.default.createElement(ui_keycap_1.KeySequence, null, keyChar)))));
}
function MenuBlock({ title, children }) {
    return (react_1.default.createElement("div", { className: classnames_1.default(main_dropdown_module_scss_1.default.menuBlock) },
        react_1.default.createElement("div", { className: main_dropdown_module_scss_1.default.title }, title),
        children));
}
//# sourceMappingURL=main-dropdown.js.map